
package cdpp3dview.types;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SbType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="SbType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Comet"/>
 *     &lt;enumeration value="Asteroid"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "SbType")
@XmlEnum
public enum SbType {

    @XmlEnumValue("Comet")
    COMET("Comet"),
    @XmlEnumValue("Asteroid")
    ASTEROID("Asteroid");
    private final String value;

    SbType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SbType fromValue(String v) {
        for (SbType c: SbType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
